Subject: Re: linux-next: ubifs tree build failure

From: Artem Bityutskiy <[email-masked]>
Date: Tue, 12 Aug 2008 10:37:28 +0300

ext Stephen Rothwell wrote:
> Hi Artem,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> fs/ubifs/super.c: In function 'ubifs_fh_to_dentry':
> fs/ubifs/super.c:1611: error: implicit declaration of function 'd_alloc_anon'
> fs/ubifs/super.c:1611: warning: assignment makes pointer from integer without a cast
> 
> Caused by interaction between commit
> 95b53e84e8899258a1af011a7216abb978afae26 ("kill d_alloc_anon") from the
> vfs tree and b51e4badb0248ac75fe3128bb369d987e28b2f88 ("UBIFS: add NFS
> support") from the ubifs tree.  The former removes d_alloc_anon and the
> latter adds a new usage.
> 
> For now, I have reverted the ubifs commit.  Christoph, maybe you could
> provide a better solution.
> 
> I have appended the reverted patch below.

I am not sure how to resolve things like this actually. I am planning to
send ubifs-2.6.git upstream soon, so probably Christoph will be able to amend
his stuff after this. Or any other suggestion?

-- 
Best Regards,
Artem Bityutskiy (Артём Битюцкий)